Event-driven I/O server-side JavaScript environment based on V8. Includes API documentation, change-log, examples and announcements.

learn more… | top users | synonyms

1
vote
3answers
4k views

Problem: “npm ERR! cb() never called! npm ERR! not ok code 0” when installing etherpad

on an Ubuntu 12.04.3: adduser --system --home=/var/www/etherpad --group etherpad apt-get install gzip git-core curl python libssl-dev build-essential abiword python-software-properties ...
9
votes
5answers
21k views

node: command not found

I don't understand why the node command will not work, whereas nodejs works: $ node --version zsh: command not found: node $ nodejs --version v0.10.15 I tried apt-get install nodejs, but the latest ...
1
vote
0answers
17 views

Cannot install NodeJS legacy

I am using Ubuntu 15.10. I am trying to install NodeJS legacy but I get this error The following packages have unmet dependencies: nodejs-legacy : Depends: nodejs (>= 0.6.19~dfsg1-3~) but it is ...
0
votes
0answers
19 views

Cannot start AngularSeed

I want to start AngularSeed, but I get this error > angular-seed@0.0.0 prestart /var/www/store > npm install npm WARN lifecycle angular-seed@0.0.0~postinstall: cannot run in wd %s %s (wd=%s) ...
63
votes
10answers
117k views

How to Install the Latest Versions of NodeJS and NPM for Ubuntu 14.04 LTS

I noticed over at the https://nodejs.org/ website that node is currently at v 0.12.0. Can someone pls let me know how (terminal commands pls) to install this latest version of node together with npm ...
0
votes
0answers
25 views

How to make an agar.io private server on ubuntu 16.04 [on hold]

I need help doing making an agar.io server, but all the things on youtube result in this whenever i do it. module.js:328 throw err; ^ Error: Cannot find module 'vector2-node' at ...
0
votes
0answers
14 views

Why npm init is not working - ubuntu 14.04 lts

npm init is not creating the package.json file. Node version: 0.10.25 I found this solution on Ask Ubuntu: sudo apt-get remove npm sudo apt-get remove node sudo apt-get autoremove sudo apt-get ...
8
votes
5answers
16k views

Having trouble to find the node in ubuntu 14.04 after installing

I installed the NodeJS in Ubuntu 14.04 by nvm by following this site Installing NodeJS Though I had the following problem as nvm ls sbin mkdir: cannot create directory ‘/usr/sbin/alias’: ...
0
votes
0answers
10 views

nodejs 6 installation shows version 0.10.25

I am trying to install the nodejs 6 version : curl -sL https://deb.nodesource.com/setup_6.x | sudo -E bash - sudo apt-get install -y nodejs First of all , it returns me an error: env: -E: No such ...
168
votes
6answers
195k views

How can I update my nodeJS to the latest version?

I have installed nodeJS on Ubuntu with following code sudo apt-get install nodejs Since I am a new user for ubuntu I also ran this code too sudo apt-get install npm Now when I type nodejs ...
39
votes
8answers
83k views

How do you update npm to the latest version?

I'm having issues with npm in a Vagrant box I'm setting up. I noticed that the npm version is somewhat old, so I wanted to check the problem with the latest release. It is my understanding that you ...
0
votes
1answer
96 views

Can't install node-inspector in Ubuntu 16.04

When trying to install node-inspector with: sudo npm install -g node-inspector I had the following problem: node-pre-gyp ERR! Tried to download: ...
1
vote
0answers
13 views

Why does Ubuntu package node.js packages?

I've been looking through this list of node.js packages provided by Ubuntu, and it's confused me a little. Why do any of these exist beyond node.js and npm itself? The majority of these packages ...
0
votes
0answers
87 views

How to install nodejs 4.4.3 LTS version on Ubuntu 12.04?

I have tried to build it form the source using the following commands: cd /usr/local/src wget http://nodejs.org/dist/v4.4.3/node-v4.4.3.tar.gz tar -xvzf node-v4.4.3.tar.gz cd node-v4.4.3 ./configure ...
0
votes
0answers
30 views

How to install MEAN JS on Ubuntu 14.04?

I have tried to install MEAN JS on my local machine by myself but it did not work. Has anybody experience with that or maybe know about a proved step by step guide? There are some instructions when ...
0
votes
1answer
205 views

Unable to get NPM to work on Ubuntu 16.04

I am using Ubuntu 16.04 and trying to install NodeJS and NPM on it. I am able to install NodeJS successfully but it did not install NPM which I think should have been installed when you install ...
0
votes
0answers
9 views

Whats the best choice to run a nodejs app as webkit

We are developing an nodejs application and the computer(tablet) will going to run only the application not anything else. So when the system restarts the nodejs app will directly opened and user will ...
0
votes
1answer
112 views

How to install lastest version of nodejs and npm on ubuntu 14.04 LTS?

I installed Nodejs via package curl -sL https://deb.nodesource.com/setup_4.x | sudo -E bash - sudo apt-get install -y nodejs Then I check version of nodejs and npm nodejs -v v0.10.25 npm -v ...
0
votes
1answer
72 views

Reinstall NodeJS and npm

I installed NodeJS and npm in 14.04 in the hope of setting up Ionic Framework. But there seems to be something wrong and I was told to reinstall NodeJS and npm. Can someone please give me the commands ...
0
votes
1answer
50 views

Cannot find module 'crypto-js' Ubuntu 14.04

I am working with node-red and I am facing some issues with some packages I have downloaded from this github. I have followed the instructions to get npm and to install it but I get error with missing ...
0
votes
1answer
192 views

Cannot install Nodejs 4 in Ubuntu 14.04

I've run the following commands in my Vagrant machine. As you can see, I have Node 0.10.40 and I cannot make it update it to 4.4.3 which is the current LTS version. ...
-1
votes
1answer
73 views

I'm not able to upgrade NodeJS on Ubuntu 14.04

I'm currently using Ubuntu 14.04 LTS, and I installed NodeJS 0.10. I am now trying to upgrade to version 5 of NodeJS. I used the commands below to upgrade: wget -qO- ...
27
votes
6answers
31k views

node.js conflicts: /sbin/node vs /usr/bin/node

I have two Ubuntu 12.10 machines: machine A is a VMWare VM and machine B is and old Acer laptop. On both machines, I installed node using apt-get. However machine A installs the main binary as ...
4
votes
3answers
6k views

less css and and node js troubles

When I try to install less css compiler under my Ubuntu 13.10 box I get following message and lescss don't working. In what way I can fix the problem? I execute: sudo npm install -g less After ...
1
vote
0answers
34 views

npm forever is not responding after install

I am new to node. I am trying to run my certain script using forever. I followed this link npm forever install and installed forever. Now when I start forever its not showing anything in response ...
0
votes
0answers
160 views

Debugging Upstart script for nodejs process

My Upstart script is as under. It looks long, but its mostly comments. If you can bear to read through it, then I get an error like .... typeerror: arguments to path.join must be strings... ...
0
votes
1answer
31 views

node syslog outputs “Error processing log message”

In syslog-ng.conf I have the following: source s_imp { tcp(ip("localhost") port(514)); }; filter f_imp {program("imp");}; destination d_imp {file("/home/rpr/syslog.log");}; log {source(s_imp); ...
0
votes
2answers
746 views

Upstart and Node js: Cannot find module

I'm trying to setup upstart to run with my Node js and Socket.io server. /etc/init/quizens.conf env NODE_BIN=/usr/bin/node env APP_DIR=/root/quizens env SCRIPT_FILE="quizens.js" env ...
0
votes
0answers
27 views

“npm ERR! SELF_SIGNED_CERT_IN_CHAIN” when trying “sudo npm install -g n”

I am running the following command: sudo npm install -g n And getting this error: npm ERR! Linux 3.16.0-67-generic npm ERR! argv "node" "/usr/local/bin/npm" "install" "-g" "n" npm ERR! ...
1
vote
4answers
1k views

Node is installed during provisioning on vagrant but disappears upon connecting to ssh

I am really getting sick of this and I don't know what is wrong. I am using Vagrant 1.7.2 , Ubuntu 13.04 , Virtual Box 4.3 12 r93733 My host machine is Windows 8.1 Here is my node bootstrap script ...
10
votes
5answers
15k views

couldn't install npm on ubuntu

Tried to install nodejs and npm on ubuntu 12.04. I googled and did it. Now, I could not install npm on machine. sudo apt-get install npm Which gives me this The following packages have unmet ...
2
votes
1answer
106 views

npm --version is different if use sudo npm --version

I have just upgraded nodejs in my machine. I uninstalled the node version (the one in ubuntu repositories) that I had. Then I installed nvm and installed nodejs 4.2.2. Everything goes without ...
0
votes
0answers
12 views

Switch default to using this binary version

I am using Ubuntu 14.04 which is a virtual image on DigitalOcean. I installed the latest node.js version based on instructions here. https://github.com/nodesource/distributions This latest node.js ...
0
votes
0answers
21 views

Running my process in a different user

I have a simple Node JS script running on my Ubuntu VPS on the root user, the VPS will be used for nothing else, doesn't use excessive CPU or RAM or allocated memory space. Should I create a new user ...
20
votes
7answers
32k views

Checking version of nodejs returns nothing

I'm trying to install node js onto Ubuntu so that I can run AngularJS. I'm not sure if I've installed it before so I ran sudo-apt get install node and once that is done I then run node ...
0
votes
0answers
121 views

sudo apt-get update fails on postgresql

I am trying to install nodejs but it keeps on failing. So I have uninstalled nodejs and found out that sudo apt-get update still fails. It's been so long that I have used postgresql. but here is my ...
0
votes
0answers
53 views

How to complete remove/purge NPM - NODE - Mongodb -Mongo express?

I am complete Noob in NPM - NODE - Mongodb - Mongo express, I tried to install them month ago and I really don't remember how I did install them, I know they are installed because I can get the ...
0
votes
0answers
62 views

Using Bonescript with Snapcraft and Snappy ubuntu core

I am using Snappy ubuntu core 16.4 on my BeagleBone Black, and the latest version of Snapcraft for building aplications. Due to cross building problem I got to build my snap package on BeagleBone in ...
1
vote
0answers
214 views

How to install node 0.10.40 on Ubuntu 14.04

I'm trying to follow this instruction (from How to Install the Latest Versions of NodeJS and NPM for Ubuntu 14.04 LTS): apt-key adv --keyserver keyserver.ubuntu.com --recv 68576280 apt-add-repository ...
1
vote
2answers
59 views

Upgrading Node.js

I'm currently installing Node.js on my system running Ubuntu 14.04 LTS I've run the commands from the website: curl -sL https://deb.nodesource.com/setup_5.x | sudo -E bash - sudo apt-get install -y ...
1
vote
2answers
40 views

Getting Node.js to work

My computer is running Ubuntu 14.04.4 LTS. I was trying to get a simple hello world file to work with node, but was unable to. I ran the command node hello.js and nothing happened. I ran apt-get ...
1
vote
3answers
80 views

Snappy ubuntu core on BeagleBone Black?

What is the best way to develop Snappy applications for Beagle bone black due to snapcraft cross building problem. I can run my Snappy nodejs web in kvm but service is failing on BeagleBone Black
0
votes
0answers
175 views

Ubuntu 15.10 npm error install phonegap

I upgraded to 15.10 and installed Nodejs v5.8.0 and npm 3.7.3 then: on terminal: sudo npm install -g phonegap output: npm WARN deprecated lodash@1.0.2: lodash@<3.0.0 is no longer maintained. ...
0
votes
1answer
27 views

forever start not working

I am using following command: /usr/local/bin/forever start /var/www/html/test.js | tee /tmp/forever-start.log But it doesn't work. Not printing output in log file. In test.js I have this code: ...
2
votes
1answer
3k views

How to install nodejs specific version

I have installed nodejs using sudo apt-get install nodejs. This installed version 0.10.32 but I want to install version 0.10.15. I already tried this command sudo apt-get install ...
0
votes
1answer
54 views

Snappy webchat example not working

I am new in snappy ubuntu core. I downloaded the webchat example from https://github.com/ubuntu-core/snapcraft/tree/master/examples/webchat. Then I called snapcraft snap command, and snappy build ...
9
votes
3answers
13k views

Installing Node.JS through a PPA does not fetch the latest version

yeah yeah I know, this has been asked before. But when using the chris-lea ppa or the "official way" (which I think is actually the same thing?), after installing you get this: ~$ node --version ...
5
votes
1answer
5k views

How can I fix the “Cannot find module 'bplist-parser'” error with PhoneGap?

I've installed everything - node.js and then used npm to get PhoneGap. But then I get this error when I start PhoneGap: phonegap module.js:340 throw err; ^ Error: Cannot find ...
0
votes
0answers
107 views

How to create snappy nodejs web application

Currently I'm working on IoT project, and we decided to use Beagle Bone Black. Original BBB OS use too much space and RAM so we googled and found Snappy Ubuntu Core as a perfect solution. Problem is ...
-1
votes
1answer
42 views

Open port for public

I have a server that port 9901 is running a application for nodejs. If i access the app via http://localhost:9901, the apps run successfully. But if i access the app from external computer and using ...